# 52. Query: gerasterde data ophalen van "SoilDataset"

Query om gegoten (gridded) gegevens uit de rasterdataset gerelateerd aan "SoilDataset" op te halen als `GEOJSON`  met punten of `GEOTIFF`. Het attribuut properties bevat alle datasetattributen per punt.&#x20;

#### 1. Vraag een bestand aan om te exporteren

{% hint style="danger" %}
Aanbevolen om slechts één dataset op te halen met `sourceDataUrl` per verzoek.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, en `MinusTwoPixels` zijn beschikbaar als een `buffer`.

`GEOJSON` en `GEOTIFF` zijn beschikbaar als een formaat.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Download het gegenereerde bestand

Na succesvolle voorbereiding van het bestand kan het worden gedownload met `curl` of een vergelijkbare methode.

{% hint style="danger" %}
`sourceDataUrl` link is alleen toegankelijk voor **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/52.-query-gerasterde-data-ophalen-van-soildataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
